# JAnimatorObject Class Reference

`#include <JAnimator.h>`

Collaboration diagram for JAnimatorObject:

List of all members.

## Public Member Functions

| JAnimatorObject ()
| ~JAnimatorObject ()
void | Update (float dt)
void | Render (float x, float y)
void | SetQuad (JQuad *quad)
void | SetPosition (float x, float y)
void | SetRotation (float angle)
void | SetHScale (float scale)
void | SetVScale (float scale)
void | SetColor (PIXEL_TYPE color)
void | SetFlip (bool flag)

## Detailed Description

Animation object (image quad) in a frame.

## Constructor & Destructor Documentation

JAnimatorObject::JAnimatorObject | ( |  | ) |

Constructor.

JAnimatorObject::~JAnimatorObject | ( |  | ) |

Destructor.

## Member Function Documentation

void JAnimatorObject::Update | ( | float | dt | ) |

Update object.

Parameters:

  | dt | - Time elapsed since last update (in second).

void JAnimatorObject::Render | ( | float | x,
|  | float | y |
| ) |  |  |

Render object.

Parameters:

  | x | - X position for rendering.
  | y | - Y position for rendering.

void JAnimatorObject::SetQuad | ( | JQuad * | quad | ) |

Set something to show.

Parameters:

  | quad | - Image quad.

void JAnimatorObject::SetPosition | ( | float | x,
|  | float | y |
| ) |  |  |

Set position of the object.

Parameters:

  | x | - X position.
  | y | - Y position.

void JAnimatorObject::SetRotation | ( | float | angle | ) |

Set rotation factor of the object.

Parameters:

  | angle | - Rotation angle in radian.

void JAnimatorObject::SetHScale | ( | float | scale | ) |

Set horizontal scale of the object.

Parameters:

  | scale | - Horizontal scale.

void JAnimatorObject::SetVScale | ( | float | scale | ) |

Set vertical scale of the object.

Parameters:

  | scale | - Vertical scale.

void JAnimatorObject::SetColor | ( | PIXEL_TYPE | color | ) |

Set blending color of the object.

Parameters:

  | color | - Blending color.

void JAnimatorObject::SetFlip | ( | bool | flag | ) |

Set horizontal flipping.

Parameters:

  | flag | - flipping flag.